<ion-content [fullscreen]="true" [scrollEvents]="true">
  <div id="container">
    <div class="container mx-auto max-w-screen-xl mt-28 mb-6 px-3 md:px-0" [ngClass]="cartItemsNo>0 ? 'md:mt-52' : 'md:mt-40'"> 
      <div class="flex flex-wrap items-center capitalize" style="color: #707070;">
        <a routerLink="/home" class="hover:text-black">Trang chủ&nbsp; </a>
        <ion-icon name="chevron-forward-outline"> </ion-icon>
        <a class="text-black">&nbsp;Hệ thống siêu thị&nbsp;</a>
      </div>
      <div class="text-center text-3xl md:text-4xl font-medium my-8 capitalize">
        <p>Hệ thống siêu thị</p>
      </div>
      <div class="grid grid-cols-12 gap-x-8">
        <div class="col-span-12 md:col-span-5">
          <div class="text-2xl font-medium mb-4 capitalize">
            <p>Danh sách siêu thị</p>

          </div>
          <div *ngFor="let pro of province" class="mb-4 text-lg">
            <p class="font-medium">{{pro.node?.province?.nameProvince}}</p>
            <div *ngFor="let br of branch" class="ml-4">
              <div *ngIf="br?.node?.province?.id == pro.node?.province?.id" (click)="selectMap(br?.node)" class="cursor-pointer hover:underline">
                <p>{{br.node?.district?.nameDistrict}}:
                  <span *ngIf="br.node?.street">{{br.node?.street}}, </span>
                  <span>{{br.node?.ward?.nameWard}}</span>
                </p>
              </div>
            </div>
          </div>
        </div>
        <div class="col-span-12 md:col-span-7">
          <div [innerHTML]="mapLink | safe:'html'" 
              *ngIf="mapLink">
          </div>
          <!-- <div style="width: 800px;">
            <iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d3919.668170765966!2d106.6665588140562!3d10.760036792332654!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x31752fa45412fb25%3A0x920540d3ab3fafcb!2zSOG6o2kgc-G6o24gSG_DoG5nIEdpYSBDTiBOZ3V54buFbiBUcmkgUGjGsMahbmc!5e0!3m2!1svi!2s!4v1599555334553!5m2!1svi!2s"
             allowfullscreen="allowfullscreen" width="600" height="450" frameborder="0"></iframe>
          </div> -->
        </div>
      </div>
    </div>
  </div>
  <app-footer></app-footer>
</ion-content>